TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.StateInfo Class Reference

This class represents the FT state for a TIBCO Enterprise Message Service server, along with other information. More...

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
string | ServerName`[get]`
| Get the name of the server. More...
bool | Appliance`[get]`
| Gets whether or not this server instance is running in an appliance. More...
int | ProcessId`[get]`
| Get the current process id of the server. More...
StateObj | StateObj`[get]`
| Get the current state of the server. More...
VersionInfo | VersionInfo`[get]`
| Get the version of TIBCO Enterprise Message Service that the server binary is from. More...
int | OverallSyncProgress`[get]`
| Get the current overall progress of the synchronization of store files for this server when it is running in the EMS Appliance. More...

## Detailed Description

This class represents the FT state for a TIBCO Enterprise Message Service server, along with other information.

Since EMS 8.1.0

## Member Function Documentation

override string TIBCO.EMS.ADMIN.StateInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

Since EMS 8.1.0

## Property Documentation

bool TIBCO.EMS.ADMIN.StateInfo.Appliance
| get

Gets whether or not this server instance is running in an appliance.

Returns
  true if this server instance is running in an appliance, false otherwise.

Since EMS 8.1.0

int TIBCO.EMS.ADMIN.StateInfo.OverallSyncProgress
| get

Get the current overall progress of the synchronization of store files for this server when it is running in the EMS Appliance.

Returns
  the synchronization progress percentage as an integer between 0 and 100 or -1 either if no synchronization is ongoing or if requested from a server that is running outside the EMS Appliance

Since EMS 8.1.0

int TIBCO.EMS.ADMIN.StateInfo.ProcessId
| get

Get the current process id of the server.

Returns
  the server process id.

Since EMS 8.1.0

string TIBCO.EMS.ADMIN.StateInfo.ServerName
| get

Get the name of the server.

Returns
  the name of the server.

Since EMS 8.1.0

StateObj TIBCO.EMS.ADMIN.StateInfo.StateObj
| get

Get the current state of the server.

Returns
  the State object representing the server's state.

Since EMS 8.1.0

VersionInfo TIBCO.EMS.ADMIN.StateInfo.VersionInfo
| get

Get the version of TIBCO Enterprise Message Service that the server binary is from.

Returns
  the VersionInfo object representing the server's version.

Since EMS 8.1.0